.button {
    border-radius: 50px;
    border: none;
    padding: 10px 20px;
    font-size: 17px;
    text-align: center;
    font-weight: 300;
    cursor: pointer;
    display: inline-block;
}
.dialog-button {
    border-radius: 8px;
}
.important-button {
    border-radius: 15px;
    border: none;
    padding: 10px 30px;
    font-size: 17px;
    text-align: center;
    font-weight: 300;
    cursor: pointer;
}
.button:focus {
    outline: 2px solid var(--darker-than-primary-color);
    outline-offset: 2px;
    background-color: var(--darker-than-primary-color);
}
.button:active:focus {
    outline: none;
}

.icon-button {
    --dimensions: 33px;
    --padding: 2px;
    padding: 0;
    border: 0;
    width: calc(var(--dimensions) + var(--padding));
    height: calc(var(--dimensions) + var(--padding));
    cursor: pointer;
    border-radius: 9px;
    background-color: var(--light-background);
    padding: 2px;
    user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
}

.icon-button:hover {
    background-color: var(--bit-darker-than-light);
}

.icon-button:focus {
    background-color: var(--very-much-lighter-than-primary-color);
    opacity: 0.3;
}
.icon-button:focus:not(:active) {
    background-color: var(--bit-darker-than-light);
    opacity: 1;
    outline: 3px solid var(--primary-color);
}



.black-button {
    color: var(--light);
    background-color: var(--dark);
}

.black-button:hover {
    color: #d7d7d7;
    background-color: #505050;
}

.black-button:active {
    color: rgb(200, 200, 200);
    background-color: #707070;
}

.black-button:focus:hover {
    background-color: #505050;
}

.black-button:active:focus {
    color: rgb(215, 215, 215);
    background-color: #656565;
}


.blue-button {
    color: #fff;
    background-color: var(--blue);
}

.blue-button:hover {
    background-color: var(--bit-darker-than-blue);
}

.blue-button:active {
    background-color: var(--darker-than-blue);
}


.primary-button {
    color: #fff;
    background-color: var(--primary-color);
}

.primary-button:hover {
    background-color: var(--bit-darker-than-primary-color);
}

.primary-button:active {
    background-color: var(--darker-than-primary-color);
}

.primary-button:focus {
    outline: 2px solid var(--darker-than-primary-color);
    outline-offset: 2px;
    background-color: var(--darker-than-primary-color);
}


.secondary-button {
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
    background-color: var(--light-background);
}

.secondary-button:hover {
    outline: 1px solid var(--bit-darker-than-primary-color);
    color: var(--white);
    background-color: var(--primary-color);
}

.secondary-button:active {
    outline: 1px solid var(--darker-than-primary-color);
    color: var(--darker-than-primary-color);
    background-color: var(--little-light-background);
}

.secondary-button:focus {
    outline: 2px solid var(--darker-than-primary-color);
    color: var(--darker-than-primary-color);
    background-color: var(--darker-than-light);
}


.outlined-button {
    background-color: rgba(0, 0, 0, 0);
}

.outlined-blue-button {
    outline: 1px solid var(--blue);
}

.outlined-black-button {
    outline: 1px solid #101010;
}

.outlined-blue-button:hover {
    background-color: var(--blue);
}

.outlined-black-button:hover {
    background-color: #303030;
}

.strong-button {
    font-weight: 675;
}